Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Filter

    java.lang.Object
      com.amazonaws.services.ec2.model.Filter

    public class Filter

extends Object

The Filter data type.

Constructor Summary
`Filter()`

Method Summary
`String` | `getName()` Specifies the name of the filter.
`List<String>` | `getValues()` Contains one or more values for the filter.
`void` | `setName(String name)` Specifies the name of the filter.
`void` | `setValues(Collection<String> values)` Contains one or more values for the filter.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Filter` | `withName(String name)` Specifies the name of the filter.
`Filter` | `withValues(Collection<String> values)` Contains one or more values for the filter.
`Filter` | `withValues(String... values)` Contains one or more values for the filter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### getName

    public String getName()

  Specifies the name of the filter.

  Returns:
    Specifies the name of the filter.

### setName

    public void setName(String name)

  Specifies the name of the filter.

  Parameters:
    `name` - Specifies the name of the filter.

### withName

    public Filter withName(String name)

  Specifies the name of the filter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - Specifies the name of the filter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValues

    public List<String> getValues()

  Contains one or more values for the filter.

  Returns:
    Contains one or more values for the filter.

### setValues

    public void setValues(Collection<String> values)

  Contains one or more values for the filter.

  Parameters:
    `values` - Contains one or more values for the filter.

### withValues

    public Filter withValues(String... values)

  Contains one or more values for the filter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `values` - Contains one or more values for the filter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withValues

    public Filter withValues(Collection<String> values)

  Contains one or more values for the filter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `values` - Contains one or more values for the filter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.